Bug 61453 - ports/security/libksba - make fetchable again, etc.
Summary: ports/security/libksba - make fetchable again, etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-16 23:50 UTC by jharris
Modified: 2004-05-11 10:56 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2004-01-16 23:50:16 UTC
	make fetchable again
	add filesizes (and more checksums) to distinfo
	remove manual PGP signature check in favor of automated one,
	which is more flexible (for those adopting PR ports/60558)

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iD8DBQFACHLHSypIl9OdoOMRAkiCAKC9Yz3nOQUQE2VSnRJLuEQTQJxmrACgi4NW
qn2YrUhW59JvCBT5okhj1uY=
=U9w7
-----END PGP SIGNATURE-------QkSFqIZiufoin3H4NF6J6ggTjbwjUuHEO8llFjzwzthn4z6R
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/security/libksba/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- Makefile	16 Jan 2004 21:19:14 -0000	1.9
+++ Makefile	16 Jan 2004 23:24:14 -0000
@@ -8,13 +8,15 @@
 PORTVERSION=	0.4.7
 CATEGORIES=	security
 MASTER_SITES= 	${MASTER_SITE_GNUPG}
-MASTER_SITE_SUBDIR=	alpha/aegypten
+MASTER_SITE_SUBDIR=	alpha/${PORTNAME}
 DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} \
 		${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}.sig
 
 MAINTAINER=	arved@FreeBSD.org
 COMMENT=	"KSBA is an X.509 Library"
 
+USE_GPG?=	yes
+SIG_FILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}.sig
 USE_LIBTOOL=	yes
 INSTALLS_SHLIB=	yes
 CONFIGURE_TARGET=
@@ -24,19 +26,4 @@
 
 INFO=	ksba
 
-.include <bsd.port.pre.mk>
-
-pre-extract:
-.if exists(${PREFIX}/bin/gpg)
-	@${MKDIR} ${WRKDIR}
-	@${ECHO_CMD} "===> Verifying GnuPG Signature."
-	-${PREFIX}/bin/gpg --no-default-keyring --keyring ${WRKDIR}/keyring \
-		--keyserver pgp.mit.edu --recv-key 57548DCD
-	cd ${DISTDIR}; ${PREFIX}/bin/gpg --keyring ${WRKDIR}/keyring --verify \
-		${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}.sig \
-		${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}
-.else
-	@${ECHO_CMD} "===> GnuPG not installed. Signature can not be verified"
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/security/libksba/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- distinfo	18 Jul 2003 13:44:44 -0000	1.3
+++ distinfo	16 Jan 2004 23:24:14 -0000
@@ -1,2 +1,10 @@
 MD5 (libksba-0.4.7.tar.gz) = 65ab8dad1f7fb379f72e1d096657a3d7
+SHA1 (libksba-0.4.7.tar.gz) = 0ed06ec79bd30eb9705f94d47a6cf8a03be2a237
+RMD160 (libksba-0.4.7.tar.gz) = b75cfd00baf748a6e838f75e52d171a86c939606
+SHA256 (libksba-0.4.7.tar.gz) = a8e22f281fa7214b939ba39202c4b1a83db83088f44b1dc3d4181246e908c0a2
+SIZE (libksba-0.4.7.tar.gz) = 445328
 MD5 (libksba-0.4.7.tar.gz.sig) = e11f7627929155b03b7f7a5a4f593aa5
+SHA1 (libksba-0.4.7.tar.gz.sig) = c97a4adcc8bcad694d25dd3d5d84b4d1592def60
+RMD160 (libksba-0.4.7.tar.gz.sig) = 02b77f726bfd12cb75d16c9ce12112d209dd1eff
+SHA256 (libksba-0.4.7.tar.gz.sig) = 11415a909658d5d5ca460bb602fed9c7dffeabb48d0ec649e5149dd94216352d
+SIZE (libksba-0.4.7.tar.gz.sig) = 65
cvs server: Diffing files
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Clement Laforet freebsd_committer 2004-01-17 00:21:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

Over the maintainer.
Comment 2 Tilman Keskinoz freebsd_committer 2004-01-17 12:43:15 UTC
State Changed
From-To: open->patched

Hello Jason, 

Thanks for pointing me to sergei's PR. 
I have committed the MASTER_SITES change, and I will commit the gpg part, 
when sergei's patch is committed.
Comment 3 Tilman Keskinoz freebsd_committer 2004-05-11 10:50:57 UTC
State Changed
From-To: patched->closed

After having a longer discussion with eik on IRC and reading the followups 
on sergeis PR, it looks like GPG support will not be in bsd.port.mk in the  
near future, since we need a patch without flaws first. I will try to  
rework my way in the libgcrypt port, but I am not sure, if i will manage 
to produce a patch that satisfies public concerns in the near future. 

I am closing this PR since libksba was updated, and I passed maintianership 
to lofi.